package com.gic.haoban.manage.web.vo.order;

import java.io.Serializable;

/**
 * @description: 这里是描述文字
 * @author: 巴弗
 * @createDate: 2023/2/21 15:11
 */
public class OrderDetailItemVO implements Serializable {
    private static final long serialVersionUID = 2204393471540203217L;

    /**
     * 订单项ID
     */
    private String orderItemId;

    /**
     * 商城商品Name
     */
    private String mallProName;

    /**
     * 商城商品零售价(sku单价)
     */
    private Double mallProPrice;

    /**
     * 商城商品图片url
     */
    private String mallProImageUrl;

    /**
     * 商城商品件数（或单位 贵金属-重量等）
     */
    private Double mallProNumber;

    /**
     * 商城商品SKU属性信息展现用 JSON [{propID:xxx,propName:xxx,valueID:xxx,valueName:xxx},...]
     */
    private String mallProSkuAttr;

    /**
     * 商品编号
     */
    private String proCode;

    /**
     * 是否赠品,1是0否
     */
    private Integer isGift;

    /**
     * 实付金额
     */
    private Double payAmount;
    
   

    public String getOrderItemId() {
        return orderItemId;
    }

    public String getMallProName() {
        return mallProName;
    }

    public Double getMallProPrice() {
        return mallProPrice;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public Double getMallProNumber() {
        return mallProNumber;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public String getProCode() {
        return proCode;
    }

    public Integer getIsGift() {
        return isGift;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProPrice(Double mallProPrice) {
        this.mallProPrice = mallProPrice;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProNumber(Double mallProNumber) {
        this.mallProNumber = mallProNumber;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public void setIsGift(Integer isGift) {
        this.isGift = isGift;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }
}
